Package com.tick42.glue.desktop.intents

# Enum IntentHandlerType

java.lang.Object
java.lang.Enum<IntentHandlerType>
com.tick42.glue.desktop.intents.IntentHandlerType

All Implemented Interfaces:
  `Serializable`, `Comparable<IntentHandlerType>`

    public enum IntentHandlerType
    extends Enum<IntentHandlerType>

`IntentHandler` Types.

Since:
  1.4.1

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `APPLICATION` | Application has described itself as implementor of the intent in its application definition.
  `INSTANCE` | A running instance of an application that can handle the intent.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `String` | `toString()` |
  `static IntentHandlerType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
  `static IntentHandlerType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### APPLICATION

    public static final IntentHandlerType APPLICATION
    Application has described itself as implementor of the intent in its application definition.

  - ### INSTANCE

    public static final IntentHandlerType INSTANCE
    A running instance of an application that can handle the intent.
    See Also:
      `Intents.addIntentListener(String, IntentContextHandler)`

- ## Method Details

  - ### values

    public static IntentHandlerType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static IntentHandlerType valueOf​(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<IntentHandlerType>`